package com.qmth.themis.business.enums;

/**
 * @Description: 监控源 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/11
 */
public enum MonitorVideoSourceEnum {
    CLIENT_SCREEN("客户端屏幕"),

    CLIENT_CAMERA("客户端摄像头"),

    MOBILE_FIRST("移动端第一机位"),

    MOBILE_SECOND("移动端第二机位");

    private MonitorVideoSourceEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }

    public static MonitorVideoSourceEnum findByName(String name) {
        for (MonitorVideoSourceEnum value : MonitorVideoSourceEnum.values()) {
            if (value.toString().equalsIgnoreCase(name)) {
                return value;
            }
        }
        return null;
    }
}
